Handlebars.registerHelper('ifCond', function (v1, operator, v2, options) {
	switch (operator) {
		case '==':
			return (v1 == v2) ? options.fn(this) : options.inverse(this);
		case '===':
			return (v1 === v2) ? options.fn(this) : options.inverse(this);
		case '<':
			return (v1 < v2) ? options.fn(this) : options.inverse(this);
		case '<=':
			return (v1 <= v2) ? options.fn(this) : options.inverse(this);
		case '>':
			return (v1 > v2) ? options.fn(this) : options.inverse(this);
		case '>=':
			return (v1 >= v2) ? options.fn(this) : options.inverse(this);
		case '&&':
			return (v1 && v2) ? options.fn(this) : options.inverse(this);
		case '||':
			return (v1 || v2) ? options.fn(this) : options.inverse(this);
		default:
			return options.inverse(this);
	}
});
Handlebars.registerHelper('csv', function (items, options) {
	return options.fn(items.join(', '));
});
Handlebars.registerHelper('capitalize', function (string, options) {
	return string.charAt(0).toUpperCase() + string.slice(1).toLowerCase();
});
Handlebars.registerHelper('createPreIfHasLineBreak', function(signature) {
	if (signature.indexOf("\n") != -1) {
		return new Handlebars.SafeString("<pre>" + Handlebars.escapeExpression(signature) + "</pre>");
	} else {
		return new Handlebars.SafeString(Handlebars.escapeExpression(signature));
	}

});
